Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addDate, addType, createPatternSet, createInclude, hasSelectors, selectorElements, appendSelector, addNot, setExcludesfile, setIncludesfile, getSelectors, addAnd, addOr, addNone, createExclude, addMajority, selectorCount, addPresent, addDifferent, addFilename, addDepend, addCustom, addContains, addModified, addSize, addDepth, XsetItems, XsetIgnore, addSelector, setCaseSensitive, setIncludes, setExcludes, setProject, createIncludesFile, createExcludesFile, setDefaultexcludes, addContainsRegexp, setFollowSymlinks, log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, maybeConfigure, reconfigure, perform, bindToOwner, clone, getLocation, setDescription, getProject, getDescription, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, maybeConfigure, reconfigure, perform, bindToOwner, clone, getLocation, setDescription, getProject, getDescription, setLocation, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)